X2Go Bug report logs - #760
Segfault of QDialog in a PyQt application

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>

Date: Thu, 22 Jan 2015 12:30:02 UTC

Severity: wishlist

Tags: pending

Merged with 757, 758

Found in version 3.5.0.31

Fixed in version 2:3.5.0.33

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#760; Package x2go. (Thu, 22 Jan 2015 12:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Thu, 22 Jan 2015 12:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>
To: "'submit@bugs.x2go.org'" <submit@bugs.x2go.org>
Subject: RE: Segfault of QDialog in a PyQt application
Date: Thu, 22 Jan 2015 11:34:14 +0000
[Message part 1 (text/plain, inline)]
Package: x2go
Version: 4.0.3.0
Qt 4.8.6

When we run our PyQt application on our Debian Wheezy computer with an ssh -X connection it work fine
But when we use X2Go to access the computer and we run our application we've got a segmentation fault at the first QDialog opening. (when we run QDialog.exec_).
We recently update the X2Go version and before that update it was working fine.
We found at least one post that describe the same problem in January 2014 on your bug report site :
X2Go Bug report logs - #410
Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui

Like suggested in this report  if we run a simple application to test an opening of a dialog box it work fine with X2Go

From your experience of this bugs is there any way to solve this problem ?

Sincerely,


Olivier PAILLAT
Agence STIE Sud-Est

[Sopra Steria]

Sopra Steria
780 rue Guillibert de la Lauzière
Pichaury 2 - CS 40496
13593 Aix-en-Provence Cedex 3 - France
Phone: +33 (0)4 42 25 71 46
olivier.paillat@cea.fr<mailto:olivier.paillat@cea.fr> - www.soprasteria.com<http://www.soprasteria.com>

Le contenu de cet e-mail est susceptible d'être confidentiel, soumis au secret professionnel ou protégé par la loi. L'utilisation, la copie et la divulgation non autorisées d'une partie ou de l'intégralité de ce message sont susceptibles d'être illégales. Si vous avez reçu ce message par erreur, supprimez-le après avoir averti l'expéditeur. Les pièces jointes du présent e-mail ont fait l'objet d'un contrôle antivirus. Néanmoins, nous déclinons toute responsabilité concernant les dommages causés par d'éventuels virus.
Pensez à l'environnement avant d'imprimer.

[Message part 2 (text/html, inline)]
[image001.png (image/png, inline)]

Bug reassigned from package 'x2go' to 'x2goclient'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 757-submit@bugs.x2go.org. (Thu, 22 Jan 2015 12:55:02 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.3.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 757-submit@bugs.x2go.org. (Thu, 22 Jan 2015 12:55:02 GMT) (full text, mbox, link).


Merged 757 758 760 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 757-submit@bugs.x2go.org. (Thu, 22 Jan 2015 12:55:02 GMT) (full text, mbox, link).


Added tag(s) build-win32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 757-submit@bugs.x2go.org. (Thu, 22 Jan 2015 12:55:02 GMT) (full text, mbox, link).


Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 757-submit@bugs.x2go.org. (Thu, 22 Jan 2015 12:55:02 GMT) (full text, mbox, link).


Bug reassigned from package 'x2goclient' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 757-submit@bugs.x2go.org. (Thu, 22 Jan 2015 13:00:02 GMT) (full text, mbox, link).


Bug reassigned from package 'nxagent' to 'nx-libs'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:35:28 GMT) (full text, mbox, link).


Severity set to 'wishlist' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:35:28 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.31. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:35:28 GMT) (full text, mbox, link).


Merged 757 758 760 875 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:35:28 GMT) (full text, mbox, link).


Removed tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:37:54 GMT) (full text, mbox, link).


Removed tag(s) build-win32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:37:54 GMT) (full text, mbox, link).


Disconnected #875 from all other report(s). Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:56:59 GMT) (full text, mbox, link).


Merged 757 758 760 875 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:56:59 GMT) (full text, mbox, link).


Disconnected #875 from all other report(s). Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 875-submit@bugs.x2go.org. (Sat, 20 Feb 2016 20:30:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#760; Package nx-libs. (Sat, 20 Feb 2016 20:40:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 20 Feb 2016 20:40:04 GMT) (full text, mbox, link).


Message #40 received at 760@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 760-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 760@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Sat, 20 Feb 2016 21:37:07 +0100 (CET)
tag #760 pending
fixed #760 2:3.5.0.33
thanks

Hello,

X2Go issue #760 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=45a7989

The issue will most likely be fixed in src:nx-libs (2:3.5.0.33).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 45a7989c51e128839455635fb4949b2fbfc2b995
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Feb 20 21:35:27 2016 +0100

    debian/changelog: Add closures for #757, #758, #760. The issue occurred earlier (#410) and was resolved by properly setting up Xinerama symlinks

diff --git a/debian/changelog b/debian/changelog
index efb0200..df8092d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,7 @@ nx-libs (2:3.5.0.33-0x2go1) UNRELEASED; urgency=low
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems. 
     + Enforce symlink creation for Xinerama et al. library symlinks.
+      (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 20:40:04 GMT) (full text, mbox, link).


Marked as fixed in versions 2:3.5.0.33. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 20:40:04 GMT) (full text, mbox, link).


Message sent on to PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>:
Bug#760. (Sat, 20 Feb 2016 20:40:07 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#760; Package nx-libs. (Wed, 08 Nov 2017 07:25:05 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Nov 2017 07:25:05 GMT) (full text, mbox, link).


Message #52 received at 760@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 760-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 760@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 8 Nov 2017 08:19:51 +0100 (CET)
close #760
thanks

Hello,

we are very hopeful that X2Go issue #760 reported by you
has been resolved in the new release (2:3.5.0.33) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.33)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=e2b241884d422ffc75a88853a9870ec925443ae9;hp=023bc5a6217fb0cdd9c98a81c106abc8438c0b6c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.33-0x2go1
Status: RELEASE
Date: Wed, 08 Nov 2017 08:07:54 +0100
Fixes: 757 758 760 1160
Changes:
 nx-libs (2:3.5.0.33-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * debian/control:
     - Add xkb-data to nxagent's Recommends.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
     - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
       x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
       /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
       nx-libs 3.5.0.33 already.
   * nx-libs.spec:
     - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
       but RPM doesn't support that too well yet.
     - Copy new debian/x2goagent.options file into build environment, analogous
       to what debian/roll-tarballs.sh does.
     - Add new x2goagent.options file to installed file list of x2goagent
       package.
     - Let x2goagent package satisfy x2goagent-virtual.
     - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
       Hopefully just a temporary workaround until
       https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
       https://bugs.centos.org/view.php?id=13779 are resolved.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     - Drop ugly sed hack to push optflags to build system.
     - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
     - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
       x2goagent.options file move.
   * debian/:
     - Add x2goagent.options file for compatibility with x2goserver nightly.
   * debian/roll-tarballs.sh:
     - Copy new debian/x2goagent.options file into real tarball environment.
   * debian/Makefile.nx-libs:
     - Install/destroot new x2goagent.options file.
   * debian/rules:
     - Symlink and remove new debian/x2goagent.options file into/from build
       environment.
   * debian/x2goagent.install:
     - Add new x2goagent.options file.
   * Refresh:
     - 0016_nx-X11_install-location.debian.patch
     - 9900-dxpc-license-history.full+lite.patch
   * nx-X11: use the "old", non-NX header location.
     Affects:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
       Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * debian/patches:
     - Refresh all patches. Removes some fuzziness and adds the -p diff option
       to show the C function name in hunk headers.
     - Fixup series file to include previous patch.
   * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
     X cookie.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
   * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
     Fixes: ArcticaProject/nx-libs#536
     Allowing overrides via NX_TEMP and TEMP breaks system using
     pam_tmpdir.so and most server infrastructure expects the location to be
     fixed anyway.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
 .
   [ Mike Gabriel ]
   * debian/libxinerama1.postinst.in:
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems.
     + Enforce symlink creation for Xinerama et al. library symlinks.
       (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.
   * debian/Makefile.nx-libs:
     + Make sure that 'make all' only calls 'make build' and _not_ the global
       '%:' ruleset afterwards.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * buildsystem:
     - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
       the nx-X11 build scripts.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
       Adds:
       - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch
 .
   [ Ulrich Sibiller ]
   * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
     v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
 .
   [ Oleksandr Shneyder ]
   * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
     Improving non-xrender based browser scrolling behaviour when link type is
     set to ADSL or WAN.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
   * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
 .
   [ Simon Matter ]
   * nxcomp: Reduce control->TokenSize slightly again in order to fix
     fragmentation of packages when on VPN (or otherwise encapsulated)
     connections.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1301_nxcomp_Reduce-TokenSize-slightly-for.full+lite.patch


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#760; Package nx-libs. (Wed, 08 Nov 2017 07:25:05 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Nov 2017 07:25:06 GMT) (full text, mbox, link).


Message #57 received at 760@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 760-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 760@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 8 Nov 2017 08:19:35 +0100 (CET)
close #760
thanks

Hello,

we are very hopeful that X2Go issue #760 reported by you
has been resolved in the new release (2:3.5.0.33) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.33)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=0629b95e1853d166bd468d0e53cb29c460cfb08f;hp=023bc5a6217fb0cdd9c98a81c106abc8438c0b6c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.33-0x2go1
Status: RELEASE
Date: Wed, 08 Nov 2017 08:07:54 +0100
Fixes: 757 758 760 1160
Changes:
 nx-libs (2:3.5.0.33-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * debian/control:
     - Add xkb-data to nxagent's Recommends.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
     - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
       x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
       /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
       nx-libs 3.5.0.33 already.
   * nx-libs.spec:
     - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
       but RPM doesn't support that too well yet.
     - Copy new debian/x2goagent.options file into build environment, analogous
       to what debian/roll-tarballs.sh does.
     - Add new x2goagent.options file to installed file list of x2goagent
       package.
     - Let x2goagent package satisfy x2goagent-virtual.
     - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
       Hopefully just a temporary workaround until
       https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
       https://bugs.centos.org/view.php?id=13779 are resolved.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     - Drop ugly sed hack to push optflags to build system.
     - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
     - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
       x2goagent.options file move.
   * debian/:
     - Add x2goagent.options file for compatibility with x2goserver nightly.
   * debian/roll-tarballs.sh:
     - Copy new debian/x2goagent.options file into real tarball environment.
   * debian/Makefile.nx-libs:
     - Install/destroot new x2goagent.options file.
   * debian/rules:
     - Symlink and remove new debian/x2goagent.options file into/from build
       environment.
   * debian/x2goagent.install:
     - Add new x2goagent.options file.
   * Refresh:
     - 0016_nx-X11_install-location.debian.patch
     - 9900-dxpc-license-history.full+lite.patch
   * nx-X11: use the "old", non-NX header location.
     Affects:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
       Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * debian/patches:
     - Refresh all patches. Removes some fuzziness and adds the -p diff option
       to show the C function name in hunk headers.
     - Fixup series file to include previous patch.
   * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
     X cookie.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
   * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
     Fixes: ArcticaProject/nx-libs#536
     Allowing overrides via NX_TEMP and TEMP breaks system using
     pam_tmpdir.so and most server infrastructure expects the location to be
     fixed anyway.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
 .
   [ Mike Gabriel ]
   * debian/libxinerama1.postinst.in:
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems.
     + Enforce symlink creation for Xinerama et al. library symlinks.
       (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.
   * debian/Makefile.nx-libs:
     + Make sure that 'make all' only calls 'make build' and _not_ the global
       '%:' ruleset afterwards.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * buildsystem:
     - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
       the nx-X11 build scripts.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
       Adds:
       - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch
 .
   [ Ulrich Sibiller ]
   * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
     v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
 .
   [ Oleksandr Shneyder ]
   * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
     Improving non-xrender based browser scrolling behaviour when link type is
     set to ADSL or WAN.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
   * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
 .
   [ Simon Matter ]
   * nxcomp: Reduce control->TokenSize slightly again in order to fix
     fragmentation of packages when on VPN (or otherwise encapsulated)
     connections.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1301_nxcomp_Reduce-TokenSize-slightly-for.full+lite.patch


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Wed, 08 Nov 2017 07:25:06 GMT) (full text, mbox, link).


Notification sent to PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>:
Bug acknowledged by developer. (Wed, 08 Nov 2017 07:25:06 GMT) (full text, mbox, link).


Message sent on to PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>:
Bug#760. (Wed, 08 Nov 2017 07:25:13 GMT) (full text, mbox, link).


Message sent on to PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>:
Bug#760. (Wed, 08 Nov 2017 07:25:14 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#760; Package nx-libs. (Wed, 08 Nov 2017 08:05:06 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Nov 2017 08:05:06 GMT) (full text, mbox, link).


Message #72 received at 760@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 760-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 760@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 8 Nov 2017 09:01:21 +0100 (CET)
close #760
thanks

Hello,

we are very hopeful that X2Go issue #760 reported by you
has been resolved in the new release (2:3.5.0.33) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.33)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=6b3ec7c5f8de7496584fa2601bb404efa32a1296;hp=7dacd79938801af11cd1f3a8026ff073c38697b1

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.33-0x2go1
Status: RELEASE
Date: Wed, 08 Nov 2017 08:07:54 +0100
Fixes: 757 758 760 1160
Changes:
 nx-libs (2:3.5.0.33-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * debian/control:
     - Add xkb-data to nxagent's Recommends.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
     - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
       x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
       /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
       nx-libs 3.5.0.33 already.
   * nx-libs.spec:
     - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
       but RPM doesn't support that too well yet.
     - Copy new debian/x2goagent.options file into build environment, analogous
       to what debian/roll-tarballs.sh does.
     - Add new x2goagent.options file to installed file list of x2goagent
       package.
     - Let x2goagent package satisfy x2goagent-virtual.
     - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
       Hopefully just a temporary workaround until
       https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
       https://bugs.centos.org/view.php?id=13779 are resolved.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     - Drop ugly sed hack to push optflags to build system.
     - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
     - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
       x2goagent.options file move.
   * debian/:
     - Add x2goagent.options file for compatibility with x2goserver nightly.
   * debian/roll-tarballs.sh:
     - Copy new debian/x2goagent.options file into real tarball environment.
   * debian/Makefile.nx-libs:
     - Install/destroot new x2goagent.options file.
   * debian/rules:
     - Symlink and remove new debian/x2goagent.options file into/from build
       environment.
   * debian/x2goagent.install:
     - Add new x2goagent.options file.
   * Refresh:
     - 0016_nx-X11_install-location.debian.patch
     - 9900-dxpc-license-history.full+lite.patch
   * nx-X11: use the "old", non-NX header location.
     Affects:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
       Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * debian/patches:
     - Refresh all patches. Removes some fuzziness and adds the -p diff option
       to show the C function name in hunk headers.
     - Fixup series file to include previous patch.
   * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
     X cookie.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
   * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
     Fixes: ArcticaProject/nx-libs#536
     Allowing overrides via NX_TEMP and TEMP breaks system using
     pam_tmpdir.so and most server infrastructure expects the location to be
     fixed anyway.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
   * Mid-release fixup:
     - Rename
       debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
       to
       debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full.patch.
     - Split up
       debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch.
       Put server changes into
       debian/patches/1500_all_propagate-optflags-to-subcompone.full.patch
       and keep client changes local to
       debian/patches/1510_all_propagate-optflags-to-subcompone.full+lite.patch.
 .
   [ Mike Gabriel ]
   * debian/libxinerama1.postinst.in:
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems.
     + Enforce symlink creation for Xinerama et al. library symlinks.
       (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.
   * debian/Makefile.nx-libs:
     + Make sure that 'make all' only calls 'make build' and _not_ the global
       '%:' ruleset afterwards.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * buildsystem:
     - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
       the nx-X11 build scripts.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
       Adds:
       - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch
 .
   [ Ulrich Sibiller ]
   * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
     v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
 .
   [ Oleksandr Shneyder ]
   * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
     Improving non-xrender based browser scrolling behaviour when link type is
     set to ADSL or WAN.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
   * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
 .
   [ Simon Matter ]
   * nxcomp: Reduce control->TokenSize slightly again in order to fix
     fragmentation of packages when on VPN (or otherwise encapsulated)
     connections.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1301_nxcomp_Reduce-TokenSize-slightly-for.full+lite.patch


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#760; Package nx-libs. (Wed, 08 Nov 2017 08:05:07 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Nov 2017 08:05:07 GMT) (full text, mbox, link).


Message #77 received at 760@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 760-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 760@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 8 Nov 2017 09:01:39 +0100 (CET)
close #760
thanks

Hello,

we are very hopeful that X2Go issue #760 reported by you
has been resolved in the new release (2:3.5.0.33) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.33)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4767b533a81ddb6456188ef765615ca3169e1145;hp=023bc5a6217fb0cdd9c98a81c106abc8438c0b6c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.33-0x2go1
Status: RELEASE
Date: Wed, 08 Nov 2017 08:07:54 +0100
Fixes: 757 758 760 1160
Changes:
 nx-libs (2:3.5.0.33-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * debian/control:
     - Add xkb-data to nxagent's Recommends.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
     - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
       x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
       /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
       nx-libs 3.5.0.33 already.
   * nx-libs.spec:
     - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
       but RPM doesn't support that too well yet.
     - Copy new debian/x2goagent.options file into build environment, analogous
       to what debian/roll-tarballs.sh does.
     - Add new x2goagent.options file to installed file list of x2goagent
       package.
     - Let x2goagent package satisfy x2goagent-virtual.
     - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
       Hopefully just a temporary workaround until
       https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
       https://bugs.centos.org/view.php?id=13779 are resolved.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     - Drop ugly sed hack to push optflags to build system.
     - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
     - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
       x2goagent.options file move.
   * debian/:
     - Add x2goagent.options file for compatibility with x2goserver nightly.
   * debian/roll-tarballs.sh:
     - Copy new debian/x2goagent.options file into real tarball environment.
   * debian/Makefile.nx-libs:
     - Install/destroot new x2goagent.options file.
   * debian/rules:
     - Symlink and remove new debian/x2goagent.options file into/from build
       environment.
   * debian/x2goagent.install:
     - Add new x2goagent.options file.
   * Refresh:
     - 0016_nx-X11_install-location.debian.patch
     - 9900-dxpc-license-history.full+lite.patch
   * nx-X11: use the "old", non-NX header location.
     Affects:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
       Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * debian/patches:
     - Refresh all patches. Removes some fuzziness and adds the -p diff option
       to show the C function name in hunk headers.
     - Fixup series file to include previous patch.
   * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
     X cookie.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
   * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
     Fixes: ArcticaProject/nx-libs#536
     Allowing overrides via NX_TEMP and TEMP breaks system using
     pam_tmpdir.so and most server infrastructure expects the location to be
     fixed anyway.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
   * Mid-release fixup:
     - Rename
       debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
       to
       debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full.patch.
     - Split up
       debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch.
       Put server changes into
       debian/patches/1500_all_propagate-optflags-to-subcompone.full.patch
       and keep client changes local to
       debian/patches/1510_all_propagate-optflags-to-subcompone.full+lite.patch.
 .
   [ Mike Gabriel ]
   * debian/libxinerama1.postinst.in:
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems.
     + Enforce symlink creation for Xinerama et al. library symlinks.
       (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.
   * debian/Makefile.nx-libs:
     + Make sure that 'make all' only calls 'make build' and _not_ the global
       '%:' ruleset afterwards.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * buildsystem:
     - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
       the nx-X11 build scripts.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
       Adds:
       - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch
 .
   [ Ulrich Sibiller ]
   * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
     v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
 .
   [ Oleksandr Shneyder ]
   * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
     Improving non-xrender based browser scrolling behaviour when link type is
     set to ADSL or WAN.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
   * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
 .
   [ Simon Matter ]
   * nxcomp: Reduce control->TokenSize slightly again in order to fix
     fragmentation of packages when on VPN (or otherwise encapsulated)
     connections.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1301_nxcomp_Reduce-TokenSize-slightly-for.full+lite.patch


Message sent on to PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>:
Bug#760. (Wed, 08 Nov 2017 08:05:13 GMT) (full text, mbox, link).


Message sent on to PAILLAT Olivier SOPRA GROUP <olivier.paillat@cea.fr>:
Bug#760. (Wed, 08 Nov 2017 08:05:14 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 07 Dec 2017 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Dec 8 12:46:05 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.